import 'daily_status.dart';
import 'wallet_status.dart';

class WalletBlocState {
  final WalletStatus walletStatus;
  final DailyStatus dailyStatus;

  WalletBlocState({required this.walletStatus, required this.dailyStatus});

  factory WalletBlocState.initial() => WalletBlocState(
        walletStatus: WalletInitial(),
        dailyStatus: DailyInitial(),
      );

  WalletBlocState copyWith({
    WalletStatus? walletStatus,
    DailyStatus? dailyStatus,
  }) =>
      WalletBlocState(
        walletStatus: walletStatus ?? this.walletStatus,
        dailyStatus: dailyStatus ?? this.dailyStatus,
      );
}
